Обход ограничений безопасности в Apache Struts

Дата публикации:
28.04.2014
Дата изменения:
30.04.2014
Всего просмотров:
843
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:N/I:N/A:P/E:U/RL:W/RC:C) = Base:5/Temporal:4
(AV:N/AC:M/Au:N/C:N/I:C/A:N/E:U/RL:OF/RC:C) = Base:7.1/Temporal:5.3
CVE ID:
CVE-2014-0112
CVE-2014-0113
Вектор эксплуатации:
Удаленная
Воздействие:
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Apache Struts 2.x
Уязвимые версии: Apache Struts 2.x, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю обойти ограничения безопасности.

1. Уязвимость существует из-за того, что приложение позволяет получить доступ к параметру "class" через ParametersInterceptor, который непосредственно относится к методу "getClass()".
Эта уязвимость существует из-за неполного решения проблемы CVE-2014-0094.

Подробное описание уязвимости доступно по адресу:
http://www.securitylab.ru/vulnerability/450383.php№1

2. Уязвимость существует из-за того, что приложение позволяет получить доступ к параметру "class", который непосредственно относится к методу "getClass()" через CookieInterceptor. Удаленный пользователь может манипулировать ClassLoader.
Для успешной эксплуатации уязвимости необходимо, чтобы значение cookiesName было равно "*".

URL производителя: http://apache.org/

Решение: Установите последнюю версию 2.3.16.2 с сайта производителя.

Ссылки: http://struts.apache.org/development/2.x/docs/s2-021.html
http://jvndb.jvn.jp/jvndb/JVNDB-2014-000045
http://jvn.jp/en/jp/JVN19294237/index.html
http://jvndb.jvn.jp/ja/contents/2014/JVNDB-2014-000045.html
http://jvn.jp/jp/JVN19294237/index.html
http://www.ipa.go.jp/security/ciadr/vul/20140417-struts.html

или введите имя

CAPTCHA